import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiSecurityGroupGetResultModel(
    _base.BaseAPIResultModel,
    _nested.SecurityGroupAPIResultNM,
):
    pass


class CloudapiSecurityGroupGetProtocol(_base.BaseGetAPIFunctionProtocol):
    def get(
        self,
        *,
        security_group_id: int,
    ) -> CloudapiSecurityGroupGetResultModel:
        ...
